"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeRetrievePositionFromSourceMap = exports.retrievePositionFromSourceMap = void 0;
const error_stack_parser_1 = __importDefault(require("error-stack-parser"));
function retrievePositionFromSourceMap() {
    const stack = error_stack_parser_1.default.parse(new Error());
    const relevantFrame = stack[4];
    return {
        line: relevantFrame.getLineNumber(),
        column: relevantFrame.getColumnNumber(),
        source: relevantFrame.fileName,
    };
}
exports.retrievePositionFromSourceMap = retrievePositionFromSourceMap;
function maybeRetrievePositionFromSourceMap(experimentalSourceMap) {
    if (experimentalSourceMap) {
        return retrievePositionFromSourceMap();
    }
}
exports.maybeRetrievePositionFromSourceMap = maybeRetrievePositionFromSourceMap;
